<bugID>1313634<Summary>Fix undefined variables issues in cookies.js that lead to the cookies window not updating properly when open</Summary><Description>STR (latest nightly)

- Open preferences, go to privacy, and select "Remove individual cookies"

=&gt; Cookies panel opens

- Expand a cookie from a site.

- Open a new window.
- Load a page for the cookie's site to update the cookie.

Actual Results

=&gt; Page loads fine, error on the console, cookie list doesn't update. Console error is:

TypeError: this._hostsOrder is undefined cookies.js:132:1

Expected Results

=&gt; Page loads fine, no errors on console. Cookie list updates.

Regression from bug 1295000. Unfortunately I didn't spot breakage in how the loops were working.</Description></bugID>